Bug 108928 - [CI][BAT] igt@* - dmesg-warn - crtc active state doesn't match with hw state (expected 1, found 0)
Summary: [CI][BAT] igt@* - dmesg-warn - crtc active state doesn't match with hw state ...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: highest normal
Assignee: Jani Nikula
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-03 16:15 UTC by Martin Peres
Modified: 2018-12-05 12:52 UTC (History)
1 user (show)

See Also:
i915 platform: ICL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-12-03 16:15:15 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5243/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5244/fi-icl-u3/igt@kms_flip@basic-flip-vs-dpms.html

<4> [210.053142] ------------[ cut here ]------------
<4> [210.053145] crtc active state doesn't match with hw state (expected 1, found 0)
<4> [210.053199] WARNING: CPU: 3 PID: 2848 at drivers/gpu/drm/i915/intel_display.c:12171 intel_atomic_commit_tail+0xd30/0xd60 [i915]
<4> [210.053201] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 x86_pkg_temp_thermal coretemp snd_hda_intel snd_hda_codec crct10dif_pclmul crc32_pclmul snd_hwdep snd_hda_core ghash_clmulni_intel btusb btrtl btbcm snd_pcm btintel e1000e bluetooth i2c_i801 cdc_ether usbnet mii ecdh_generic prime_numbers
<4> [210.053220] CPU: 3 PID: 2848 Comm: kms_flip Tainted: G     U            4.20.0-rc5-CI-CI_DRM_5243+ #1
<4> [210.053223] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP TLC, BIOS ICLSFWR1.R00.2402.AD3.1810170014 10/17/2018
<4> [210.053258] RIP: 0010:intel_atomic_commit_tail+0xd30/0xd60 [i915]
<4> [210.053260] Code: d6 e0 0f 0b 49 8b 45 50 e9 cf fd ff ff e8 78 4f d6 e0 0f 0b e9 84 f7 ff ff e8 6c 4f d6 e0 0f 0b e9 d8 fd ff ff e8 60 4f d6 e0 <0f> 0b 41 0f b6 4d 09 e9 58 f7 ff ff e8 4f 4f d6 e0 0f 0b e9 c9 f8
<4> [210.053263] RSP: 0018:ffffc90000acfaf0 EFLAGS: 00010282
<4> [210.053265] RAX: 0000000000000000 RBX: ffff8884a2644a88 RCX: 0000000000000000
<4> [210.053267] RDX: 0000000000000007 RSI: ffffffff820c7198 RDI: 00000000ffffffff
<4> [210.053269] RBP: ffff88849a6a1bf8 R08: 00000000994a2cba R09: 0000000000000000
<4> [210.053271] R10: 0000000000000000 R11: 0000000000000000 R12: ffff8884a2640008
<4> [210.053272] R13: ffff8884a2644138 R14: ffff888495840000 R15: ffff8884a2644a88
<4> [210.053275] FS:  00007fb23e47a980(0000) GS:ffff8884aff80000(0000) knlGS:0000000000000000
<4> [210.053277] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [210.053279] CR2: 0000558518692558 CR3: 000000049b6c0006 CR4: 0000000000760ee0
<4> [210.053280] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4> [210.053282] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4> [210.053284] PKRU: 55555554
<4> [210.053285] Call Trace:
<4> [210.053327]  intel_atomic_commit+0x244/0x330 [i915]
<4> [210.053334]  drm_atomic_helper_set_config+0x7b/0x90
<4> [210.053339]  drm_mode_setcrtc+0x192/0x6e0
<4> [210.053353]  ? drm_mode_getcrtc+0x180/0x180
<4> [210.053358]  drm_ioctl_kernel+0x81/0xf0
<4> [210.053363]  drm_ioctl+0x2de/0x390
<4> [210.053367]  ? drm_mode_getcrtc+0x180/0x180
<4> [210.053375]  ? remove_vma+0x52/0x60
<4> [210.053379]  ? rcu_read_lock_sched_held+0x6f/0x80
<4> [210.053385]  do_vfs_ioctl+0xa0/0x6e0
<4> [210.053388]  ? lock_acquire+0xa6/0x1c0
<4> [210.053392]  ? __task_pid_nr_ns+0xb9/0x1f0
<4> [210.053398]  ksys_ioctl+0x35/0x60
<4> [210.053402]  __x64_sys_ioctl+0x11/0x20
<4> [210.053405]  do_syscall_64+0x55/0x190
<4> [210.053410]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [210.053412] RIP: 0033:0x7fb23d1c45d7
<4> [210.053415] Code: b3 66 90 48 8b 05 b1 48 2d 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 81 48 2d 00 f7 d8 64 89 01 48
<4> [210.053417] RSP: 002b:00007ffd2cb1c178 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
<4> [210.053419] RAX: ffffffffffffffda RBX: 00007ffd2cb1c1b0 RCX: 00007fb23d1c45d7
<4> [210.053421] RDX: 00007ffd2cb1c1b0 RSI: 00000000c06864a2 RDI: 0000000000000005
<4> [210.053423] RBP: 00007ffd2cb1c1b0 R08: 0000000000000000 R09: 00007ffd2cb1c538
<4> [210.053425] R10: 00007ffd2cb1c3e4 R11: 0000000000000246 R12: 00000000c06864a2
<4> [210.053427] R13: 0000000000000005 R14: 0000000000000000 R15: 0000000000000000
<4> [210.053435] irq event stamp: 393894
<4> [210.053439] hardirqs last  enabled at (393893): [<ffffffff810fb0a9>] console_unlock+0x3f9/0x5f0
<4> [210.053442] hardirqs last disabled at (393894): [<ffffffff810019b0>] trace_hardirqs_off_thunk+0x1a/0x1c
<4> [210.053444] softirqs last  enabled at (393842): [<ffffffff81c0033a>] __do_softirq+0x33a/0x4b9
<4> [210.053448] softirqs last disabled at (393835): [<ffffffff8108e6a9>] irq_exit+0xa9/0xc0
<4> [210.053482] WARNING: CPU: 3 PID: 2848 at drivers/gpu/drm/i915/intel_display.c:12171 intel_atomic_commit_tail+0xd30/0xd60 [i915]
<4> [210.053484] ---[ end trace 88c70ca27dfa3c99 ]---
Comment 2 Jani Saarinen 2018-12-04 11:29:50 UTC
I suppose this from DSI regression?
Comment 4 Jani Nikula 2018-12-04 17:10:05 UTC
commit 0716931a82b4d0e211d2ef66616ad7130107e455
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Tue Dec 4 12:19:26 2018 +0200

    drm/i915/icl: fix transcoder state readout
Comment 5 Martin Peres 2018-12-05 12:52:06 UTC
(In reply to Jani Nikula from comment #4)
> commit 0716931a82b4d0e211d2ef66616ad7130107e455
> Author: Jani Nikula <jani.nikula@intel.com>
> Date:   Tue Dec 4 12:19:26 2018 +0200
> 
>     drm/i915/icl: fix transcoder state readout

Thanks, it indeed fixed it!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.